Index: branches/src/ProcessManagement/ProcessManagement/Common/Process/ClsExcute.cs
===================================================================
--- branches/src/ProcessManagement/ProcessManagement/Common/Process/ClsExcute.cs	(revision 50)
+++ branches/src/ProcessManagement/ProcessManagement/Common/Process/ClsExcute.cs	(revision 51)
@@ -45,26 +45,38 @@
         public enum ProcessExecuteNo
         {
             MainMenu = 0,                       //  0:メニュー
-            ConstructionList,                   //  1:工事情報一覧
-            ConstructionBaseInfo,               //  2:工事情報入力
-            EstimateInput,                      //  3:積算見積入力
-            EstimatePrint,                      //  4:積算見積書印刷
-            EstimateBudget,                     //  5:積算予算書入力
-            ConstructionBudget,                 //  6:工事予算書入力
-            ApprovalDocumentList,               //  7:承認申請一覧
-            ConstructionCopyList,               //  8:工事案件コピー機能
-            PurchaseOrderEntry,                 //  9:注文書入力
-            PurchaseOrderPrint,                 // 10:注文書印刷
-            ConstructionLedgerList,             // 11:工事詳細台帳一覧
-            ConstructionLedger,                 // 12:工事詳細台帳
-            TAndPCosts,                         // 13:交通費及び購入品入力
-            DRList,                             // 14:日報一覧
-            DRConstruction,                     // 15:工事日報入力
-            Proceedings,                        // 16:発注者打ち合わせ議事録入力
-            DailyReportList,                    // 17:日報一覧
-            DailyReport,                        // 18:日報全般
-            DepartmentExpenssList,              // 19:部署別台帳まとめ一覧
-            ConstrLedgerPrsonList,              // 20:工事詳細台帳一覧(個人指定)
+            ConstructionList = 1,               //  1:工事情報一覧
+            ConstructionBaseInfo = 2,           //  2:工事情報入力
+            EstimateInput = 3,                  //  3:積算見積入力
+            EstimatePrint = 4,                  //  4:積算見積書印刷
+            EstimateBudget = 5,                 //  5:積算予算書入力
+            ConstructionBudget = 6,             //  6:工事予算書入力
+            ApprovalDocumentList = 7,           //  7:承認申請一覧
+            ConstructionCopyList = 8,           //  8:工事案件コピー機能
+            PurchaseOrderEntry = 9,             //  9:注文書入力
+            PurchaseOrderPrint = 10,            // 10:注文書印刷
+            DepartmentExpenssList = 11,         // 11:部署別台帳一覧
+            ConstructionLedgerList = 12,        // 12:工事詳細台帳一覧
+            ConstructionLedger = 13,            // 13:工事詳細台帳
+            TAndPCosts = 14,                    // 14:交通費及び購入品入力
+            DRList = 15,                        // 15:日報一覧
+            DRConstruction = 16,                // 16:工事日報入力
+            Proceedings = 17,                   // 17:打合せ議事録入力
+            DRWork = 18,                        // 18:出勤日報
+            PurchaseOrderStatus = 19,           // 19:注文書発給一覧
+            OrderJoin = 20,                     // 20:工事結合
+            ConstructionSplit = 21,             // 21:工事分割
+            DRTransport = 22,                   // 22:通勤交通費
+            MaterialList = 23,                  // 23:資材一覧
+            MaterialHistory = 24,               // 24:資材履歴画面
+            MaterialCountEntry = 25,            // 25:資材数変更画面
+            MaterialReserveEntry = 26,          // 26:資材貸出
+            MaterialReturnEntry = 27,           // 27:資材返却
+            MaterialSelect = 28,                // 28;資材選択
+            RequestSummaryList = 29,            // 29:請求まとめ 
+            PaymentConfirmation = 30,           // 30:入金確認
+            RequestInput = 31,                  // 31:請求入力
+            RequestPrint = 32,                  // 32:請求書印刷
         }
         #endregion
 
@@ -74,29 +86,34 @@
         /// </summary>
         public enum MaintenanceExecuteNo
         {
-            System = 101,                       //  1:システム管理
-            Department,                         //  2:部署マスタ
-            PersonInCharge,                     //  3:担当者
-            Component,                          //  4:大項目マスタ（構成マスタ）
-            ConstructionItem,                   //  5:中項目マスタ（工種マスタ）
-            ConstructionWork,                   //  6:小項目マスタ（作業マスタ）
-            Unit,                               //  7:単位マスタ
-            SubContractor,                      //  8:協力会社マスタ
-            Orderers,                           //  9:発注者マスタ
-            BusinessType,                       // 10:法人格マスタ
-            Division,                           // 11:区分マスタ
-            Expenses,                           // 12:経費率マスタ
-            SubContractorItem,                  // 13:協力会社工種マスタ
-            Calender,                           // 14:カレンダーマスタ
-            VehicleMaster,                      // 15:車両マスタ
-            TermMaster,                         // 16:期限マスタ
-            SaleSalesGraphData,                 // 17:売上グラフデータ入力
-            ApprovalRoute,                      // 18:承認経路マスタ
-            ConstructionType,                   // 19:工事種別マスタ
-            ComponentLink,                      // 20:大・中項目関連マスタ
-            AlwaysEmployment,                   // 21:常雇者マスタ
-            Suppliers,                          // 22:仕入先マスタ
-            SubContractorJobCategory,           // 23:協力会社職種マスタ
+            System = 101,                       // 101:システム管理
+            Department = 102,                   // 102:部署マスタ
+            PersonInCharge = 103,               // 103:担当者
+            Component = 104,                    // 104:大項目マスタ（構成マスタ）
+            ConstructionItem = 105,             // 105:中項目マスタ（工種マスタ）
+            ConstructionWork = 106,             // 106:小項目マスタ（作業マスタ）
+            ComponentLink = 107,                // 107:大・中項目関連マスタ
+            Unit = 108,                         // 108:単位マスタ
+            SubContractor = 109,                // 109:協力会社マスタ
+            Orderers = 110,                     // 110:発注者マスタ
+            BusinessType = 111,                 // 111:法人格マスタ
+            //Division = 112,                   // 112:区分マスタ
+            //Expenses = 113,                   // 113:経費率マスタ
+            SubContractorItem = 114,            // 114:協力会社工種マスタ
+            Calender = 115,                     // 115:カレンダーマスタ
+            VehicleMaster = 116,                // 116:車両マスタ
+            TermMaster = 117,                   // 117:期限マスタ
+            SaleSalesGraphData = 118,           // 118:売上グラフデータ入力
+            ApprovalRoute = 119,                // 119:承認経路マスタ
+            ConstructionType = 120,             // 120:工事種別マスタ
+            AlwaysEmployment = 121,             // 121:常雇者マスタ
+            Suppliers = 122,                    // 122:仕入先マスタ
+            SubContractorJobCategory = 123,     // 123:協力会社職種マスタ
+            Security = 124,                     // 124:セキュリティ区分マスタ
+            OrderDivision = 125,                // 125:発注者区分登録
+            ConstructionExpenses = 126,         // 126:施工経費区分登録
+            MaterialKind = 127,                 // 127:資材種類マスタ
+            MaterialItem = 128,                 // 128:資材品目マスタ
         }
         #endregion
 
@@ -106,14 +123,14 @@
         /// </summary>
         public enum SubFormExecuteNo
         {
-            MessageWriter = 201,                //  1:掲示板入力(新バージョン)
-            MessageReader,                      //  2:掲示板読込
-            ActionSchdule,                      //  3:行動予定入力
-            VehicleSchdule,                     //  4:車両予約入力
-            ApprovalScreen,                     //  5:承認画面
-            SubconstractorDiag,                 //  6:協力会社検索画面
-            SuppliersDiag,                      //  7:仕入先検索
-            SubConJobDiag,                      //  8:協力会社職種検索画面
+            MessageWriter = 201,                // 201:掲示板入力(新バージョン)
+            MessageReader = 202,                // 202:掲示板読込
+            ActionSchdule = 203,                // 203:行動予定入力
+            VehicleSchdule = 204,               // 204:車両予約入力
+            ApprovalScreen = 205,               // 205:承認画面
+            SubconstractorDiag = 206,           // 206:協力会社検索画面
+            SuppliersDiag = 207,                // 207:仕入先検索
+            SubConJobDiag = 208,                // 208:協力会社職種検索画面
         }
         #endregion
 
@@ -122,25 +139,76 @@
         /// 処理名称一覧
         /// </summary>
         public static Dictionary<int, string> ProcessExecuteName = new Dictionary<int, string>(){
-                                                                                { 0, "メインメニュー"},
-                                                                                { 1, "工事情報一覧－表示"},
-                                                                                { 2, "工事情報－入力"},
-                                                                                { 3, "積算見積書－入力"},
-                                                                                { 4, "積算見積書－印刷"},
-                                                                                { 5, "積算予算書－入力"},
-                                                                                { 6, "工事予算書－入力"},
-                                                                                { 7, "承認申請一覧－表示"},
-                                                                                { 8, "工事案件コピー－機能"},
-                                                                                { 9, "注文書－入力"},
-                                                                                {10, "注文書－印刷"},
-                                                                                {12, "工事詳細台帳－入力"},
-                                                                                {13, "交通費及び購入品等－入力"},
-                                                                                {14, "工事日報－一覧"},
-                                                                                {15, "工事日報－入力"},
-                                                                                };
+                                                                                { (int)ProcessExecuteNo.MainMenu,               "メインメニュー"},
+                                                                                { (int)ProcessExecuteNo.ConstructionList,       "工事情報一覧－表示"},
+                                                                                { (int)ProcessExecuteNo.ConstructionBaseInfo,   "工事情報－入力"},
+                                                                                { (int)ProcessExecuteNo.EstimateInput,          "積算見積書－入力"},
+                                                                                { (int)ProcessExecuteNo.EstimatePrint,          "積算見積書－印刷"},
+                                                                                { (int)ProcessExecuteNo.EstimateBudget,         "積算予算書－入力"},
+                                                                                { (int)ProcessExecuteNo.ConstructionBudget,     "工事予算書－入力"},
+                                                                                { (int)ProcessExecuteNo.ApprovalDocumentList,   "承認申請一覧－表示"},
+                                                                                { (int)ProcessExecuteNo.ConstructionCopyList,   "工事案件コピー－機能"},
+                                                                                { (int)ProcessExecuteNo.PurchaseOrderEntry,     "注文書－入力"},
+                                                                                { (int)ProcessExecuteNo.PurchaseOrderPrint,     "注文書－印刷"},
+                                                                                { (int)ProcessExecuteNo.DepartmentExpenssList,  "部署別台帳－一覧"},
+                                                                                { (int)ProcessExecuteNo.ConstructionLedgerList, "工事詳細台帳－一覧"},
+                                                                                { (int)ProcessExecuteNo.ConstructionLedger,     "工事詳細台帳－入力"},
+                                                                                { (int)ProcessExecuteNo.TAndPCosts,             "交通費及び購入品等－入力"},
+                                                                                { (int)ProcessExecuteNo.DRList,                 "工事日報－一覧"},
+                                                                                { (int)ProcessExecuteNo.DRConstruction,         "工事日報－入力"},
+                                                                                { (int)ProcessExecuteNo.Proceedings,            "打合せ議事録－入力"},
+                                                                                { (int)ProcessExecuteNo.MaterialList,           "資材入力"},
+                                                                                { (int)ProcessExecuteNo.MaterialReserveEntry,   "資材貸出"},
+                                                                                { (int)ProcessExecuteNo.MaterialReturnEntry,    "資材返却"},
+                                                                                { (int)ProcessExecuteNo.RequestSummaryList,     "請求まとめ"},
+                                                                                { (int)ProcessExecuteNo.PaymentConfirmation,    "入金確認"},
+                                                                                { (int)ProcessExecuteNo.RequestInput,           "請求入力"},
+                                                                                { (int)ProcessExecuteNo.RequestPrint,           "請求書印刷"},
+                                                                                //{ (int)ProcessExecuteNo.DailyReportList,        "出勤日報－入力"},
+                                                                                //{ (int)ProcessExecuteNo.PurchaseOrderStatus,    "注文書発給状況－一覧"},
+                                                                                //{ (int)ProcessExecuteNo.OrderJoin,              "工事結合－入力"},
+                                                                                //{ (int)ProcessExecuteNo.ConstructionSplit,      "工事分割－入力"},
+                                                                                //{ (int)ProcessExecuteNo.DRTransport,            "通勤交通費－入力"},
+        };
 
         #endregion
 
+        #region マスタメンテンナス処理名称
+        /// <summary>
+        /// マスタメンテナンス処理名称一覧
+        /// </summary>
+        public static Dictionary<int, string> MaintenanceExecuteName = new Dictionary<int, string>(){
+                                                                                { (int)MaintenanceExecuteNo.System,                     "システム管理登録"},           // 101
+                                                                                { (int)MaintenanceExecuteNo.Department,                 "部署登録"},                   // 102
+                                                                                { (int)MaintenanceExecuteNo.PersonInCharge,             "担当者登録"},                 // 103
+                                                                                { (int)MaintenanceExecuteNo.Component,                  "大項目登録（構成登録）"},     // 104
+                                                                                { (int)MaintenanceExecuteNo.ConstructionItem,           "中項目登録（工種登録）"},     // 105
+                                                                                { (int)MaintenanceExecuteNo.ConstructionWork,           "小項目登録（作業登録）"},     // 106
+                                                                                { (int)MaintenanceExecuteNo.ComponentLink,              "大・中項目関連登録"},         // 107
+                                                                                { (int)MaintenanceExecuteNo.Unit,                       "単位登録"},                   // 108
+                                                                                { (int)MaintenanceExecuteNo.SubContractor,              "協力会社登録"},               // 109
+                                                                                { (int)MaintenanceExecuteNo.Orderers,                   "発注者登録"},                 // 110
+                                                                                { (int)MaintenanceExecuteNo.BusinessType,               "法人格登録"},                 // 111
+                                                                                //{ (int)MaintenanceExecuteNo.Division,                   "区分登録"},                   // 112
+                                                                                //{ (int)MaintenanceExecuteNo.Expenses,                   "経費率登録"},                 // 113
+                                                                                { (int)MaintenanceExecuteNo.SubContractorItem,          "協力会社工種登録"},           // 114
+                                                                                { (int)MaintenanceExecuteNo.Calender,                   "カレンダー登録"},             // 115
+                                                                                { (int)MaintenanceExecuteNo.VehicleMaster,              "車両登録"},                   // 116
+                                                                                { (int)MaintenanceExecuteNo.TermMaster,                 "期限登録"},                   // 117
+                                                                                { (int)MaintenanceExecuteNo.SaleSalesGraphData,         "売上グラフデータ入力"},       // 118
+                                                                                { (int)MaintenanceExecuteNo.ApprovalRoute,              "承認経路登録"},               // 119
+                                                                                { (int)MaintenanceExecuteNo.ConstructionType,           "工事種別登録"},               // 120
+                                                                                { (int)MaintenanceExecuteNo.AlwaysEmployment,           "常雇者登録"},                 // 121
+                                                                                { (int)MaintenanceExecuteNo.Suppliers,                  "仕入先登録"},                 // 122
+                                                                                { (int)MaintenanceExecuteNo.SubContractorJobCategory,   "協力会社職種登録"},           // 123
+                                                                                { (int)MaintenanceExecuteNo.Security,                   "セキュリティ区分登録"},       // 124
+                                                                                { (int)MaintenanceExecuteNo.OrderDivision,              "発注者区分登録"},             // 125
+                                                                                { (int)MaintenanceExecuteNo.ConstructionExpenses,       "施工経費区分登録"},           // 126
+                                                                                { (int)MaintenanceExecuteNo.MaterialKind,               "資材種類登録"},              // 127
+                                                                                { (int)MaintenanceExecuteNo.MaterialItem,               "資材品目登録"},              // 128
+                                                                                };
+        #endregion
+
         #region 承認処理定義
         /// <summary>
         /// 承認一覧
@@ -167,11 +235,14 @@
             /// 4:注文書承認
             /// </summary>
             PurchaseOrderEntryApproval,
-            // ----- 以下プロセス未作成
             /// <summary>
             /// 5:請求書承認
             /// </summary>
             OrderBillingApproval,
+            /// <summary>
+            /// 6:工事日報承認
+            /// </summary>
+            DRConstructionApproval,
         }
         #endregion
 
@@ -320,48 +391,88 @@
                             ProcessExecuteNo_PurchaseOrderPrint(m_ProcControlPara[NowPoint]);
                             break;
 
-                        case (int)ProcessExecuteNo.ConstructionLedgerList:              // 11:工事詳細台帳一覧
+                        case (int)ProcessExecuteNo.DepartmentExpenssList:               // 11:部署別台帳一覧
+                            ProcessExecuteNo_DepartmentExpenssList(m_ProcControlPara[NowPoint]);
+                            break;
+
+                        case (int)ProcessExecuteNo.ConstructionLedgerList:              // 12:工事詳細台帳一覧
                             ProcessExecuteNo_ConstructionLedgerList(m_ProcControlPara[NowPoint]);
                             break;
 
-                        case (int)ProcessExecuteNo.ConstructionLedger:                  // 12:工事詳細台帳
+                        case (int)ProcessExecuteNo.ConstructionLedger:                  // 13:工事詳細台帳
                             ProcessExecuteNo_ConstructionLedger(m_ProcControlPara[NowPoint]);
                             break;
 
-                        case (int)ProcessExecuteNo.TAndPCosts:                          // 13:交通費及び購入品入力
+                        case (int)ProcessExecuteNo.TAndPCosts:                          // 14:交通費及び購入品入力
                             ProcessExecuteNo_TAndPCosts(m_ProcControlPara[NowPoint]);
                             break;
 
-                        case (int)ProcessExecuteNo.DRList:                              // 14:工事日報一覧
+                        case (int)ProcessExecuteNo.DRList:                              // 15:工事日報一覧
                             ProcessExecuteNo_DRList(m_ProcControlPara[NowPoint]);
                             break;
 
-                        case (int)ProcessExecuteNo.DRConstruction:                      // 15:工事日報入力
+                        case (int)ProcessExecuteNo.DRConstruction:                      // 16:工事日報入力
                             ProcessExecuteNo_DRConstruction(m_ProcControlPara[NowPoint]);
                             break;
-                        
-                        case (int)ProcessExecuteNo.Proceedings:                         // 16:発注者打ち合わせ議事録入力
+
+                        case (int)ProcessExecuteNo.Proceedings:                         // 17:打合せ議事録入力
                             ProcessExecuteNo_Proceedings(m_ProcControlPara[NowPoint]);
                             break;
 
-                        case (int)ProcessExecuteNo.DailyReportList:                     // 17:日報一覧
-                            ProcessExecuteNo_DailyReportList(m_ProcControlPara[NowPoint]);
+                        case (int)ProcessExecuteNo.DRWork:                              // 18:出勤日報入力
+                            ProcessExecuteNo_DRWork(m_ProcControlPara[NowPoint]);
                             break;
 
-                        case (int)ProcessExecuteNo.DailyReport:                         // 18:日報等
-                            ProcessExecuteNo_DailyReport(m_ProcControlPara[NowPoint]);
+                        case (int)ProcessExecuteNo.PurchaseOrderStatus:                 // 19:注文書発給一覧
+                            ProcessExecuteNo_PurchaseOrderStatus(m_ProcControlPara[NowPoint]);
                             break;
 
-                        case (int)ProcessExecuteNo.DepartmentExpenssList:               // 19:部署別台帳一覧
-                            ProcessExecuteNo_DepartmentExpenssList(m_ProcControlPara[NowPoint]);
+                        case (int)ProcessExecuteNo.OrderJoin:                           // 20:工事結合
+                            ProcessExecuteNo_OrderJoin(m_ProcControlPara[NowPoint]);
                             break;
 
-                        case (int)ProcessExecuteNo.ConstrLedgerPrsonList:               // 20:工事詳細台帳一覧(個人指定)
-                            ProcessExecuteNo_ConstrLedgerPersonList(m_ProcControlPara[NowPoint]);
+                        case (int)ProcessExecuteNo.ConstructionSplit:                   // 21:工事分割
+                            ProcessExecuteNo_ConstructionSplit(m_ProcControlPara[NowPoint]);
                             break;
 
-                        #endregion
+                        case (int)ProcessExecuteNo.MaterialList:                        // 22:資材一覧
+                            ProcessExecuteNo_MaterialList(m_ProcControlPara[NowPoint]);
+                            break;
 
+                        case (int)ProcessExecuteNo.MaterialHistory:                     // 23:資材履歴画面
+                            ProcessExecuteNo_MaterialHistoryEntry(m_ProcControlPara[NowPoint]);
+                            break;
+
+                        case (int)ProcessExecuteNo.MaterialCountEntry:                  // 24:資材数変更画面
+                            ProcessExecuteNo_MaterialCountEntry(m_ProcControlPara[NowPoint]);
+                            break;
+
+                        case (int)ProcessExecuteNo.MaterialReserveEntry:                // 25:資材貸出
+                            ProcessExecuteNo_MaterialReserveEntry(m_ProcControlPara[NowPoint]);
+                            break;
+
+                        case (int)ProcessExecuteNo.MaterialReturnEntry:                 // 26:資材返却
+                            ProcessExecuteNo_MaterialReturnEntry(m_ProcControlPara[NowPoint]);
+                            break;
+
+                        case (int)ProcessExecuteNo.MaterialSelect:                      // 27;資材選択
+                            ProcessExecuteNo_MaterialSelect(m_ProcControlPara[NowPoint]);
+                            break;
+
+                        case (int)ProcessExecuteNo.RequestSummaryList:                  // 29:請求まとめ
+                            ProcessExecuteNo_RequestSummaryList(m_ProcControlPara[NowPoint]);
+                            break;
+
+                        case (int)ProcessExecuteNo.PaymentConfirmation:                 // 30:入金確認
+                            ProcessExecuteNo_PaymentConfirmation(m_ProcControlPara[NowPoint]);
+                            break;
+
+                        case (int)ProcessExecuteNo.RequestInput:                         // 31:請求入力
+                            ProcessExecuteNo_RequestInput(m_ProcControlPara[NowPoint]);
+                            break;
+
+                        #endregion  
+
                         #region マスタメンテ
                         // ----- マスタメンテ
                         case (int)MaintenanceExecuteNo.System:                          //  1:システム管理
@@ -394,12 +505,12 @@
                         case (int)MaintenanceExecuteNo.BusinessType:                    // 10:法人格マスタ
                             MaintenanceExecuteNo_BusinessType(m_ProcControlPara[NowPoint]);
                             break;
-                        case (int)MaintenanceExecuteNo.Division:                        // 11:区分マスタ
-                            MaintenanceExecuteNo_Division(m_ProcControlPara[NowPoint]);
-                            break;
-                        case (int)MaintenanceExecuteNo.Expenses:                        // 12:経費率マスタ
-                            MaintenanceExecuteNo_Expenses(m_ProcControlPara[NowPoint]);
-                            break;
+                        //case (int)MaintenanceExecuteNo.Division:                        // 11:区分マスタ
+                        //    MaintenanceExecuteNo_Division(m_ProcControlPara[NowPoint]);
+                        //    break;
+                        //case (int)MaintenanceExecuteNo.Expenses:                        // 12:経費率マスタ
+                        //    MaintenanceExecuteNo_Expenses(m_ProcControlPara[NowPoint]);
+                        //    break;
                         case (int)MaintenanceExecuteNo.SubContractorItem:               // 13:協力会社工種マスタ
                             MaintenanceExecuteNo_SubContractorItem(m_ProcControlPara[NowPoint]);
                             break;
@@ -433,6 +544,23 @@
                         case (int)MaintenanceExecuteNo.SubContractorJobCategory:        // 23:協力会社職種マスタ
                             MaintenanceExecuteNo_SubContractorJobCategory(m_ProcControlPara[NowPoint]);
                             break;
+                        case (int)MaintenanceExecuteNo.Security:                         // 24:セキュリティ区分マスタ
+                            MaintenanceExecuteNo_Security(m_ProcControlPara[NowPoint]);
+                            break;
+                        case (int)MaintenanceExecuteNo.OrderDivision:                   // 125:発注者区分登録
+                            MaintenanceExecuteNo_OrderDivision(m_ProcControlPara[NowPoint]);
+                            break;
+                        case (int)MaintenanceExecuteNo.ConstructionExpenses:            // 126:施工経費区分登録
+                            MaintenanceExecuteNo_ConstructionExpenses(m_ProcControlPara[NowPoint]);
+                            break;
+                        case (int)MaintenanceExecuteNo.MaterialKind:                    // 127:資材種類マスタ
+                            MaintenanceExecuteNo_MaterialKind(m_ProcControlPara[NowPoint]);
+                            break;
+                        case (int)MaintenanceExecuteNo.MaterialItem:                    // 128:資材品目マスタ
+                            MaintenanceExecuteNo_MaterialItems(m_ProcControlPara[NowPoint]);
+                            break;
+
+
                         #endregion
 
                         #region サブフォーム
@@ -440,11 +568,11 @@
                         case (int)SubFormExecuteNo.MessageWriter:                       //  1:掲示板入力(新バージョン)
                             SubFormExecuteNo_MessageWriter(m_ProcControlPara[NowPoint]);
                             break;
-                        
+
                         case (int)SubFormExecuteNo.MessageReader:                       //  2:掲示板読込
                             SubFormExecuteNo_MessageReader(m_ProcControlPara[NowPoint]);
                             break;
-                        
+
                         case (int)SubFormExecuteNo.ActionSchdule:                       //  3:行動予定入力
                             SubFormExecuteNo_ActionSchdule(m_ProcControlPara[NowPoint]);
                             break;
@@ -634,6 +762,7 @@
             catch (Exception ex)
             {
                 logger.ErrorFormat("システムエラー：{0}：{1}", CommonMotions.GetMethodName(), ex.Message);
+                BackProcess();
             }
             finally
             {
@@ -658,6 +787,15 @@
                 ClsExcute.SubFormHandleList[ProcessNo].ProcessNo = ProcessNo;
                 ClsExcute.SubFormHandleList[ProcessNo].SubFormHandle = (Form)frm;
 
+                // 起動・編集フラグ
+                int EditFlg = (int)CommonDefine.ProcessDataEdit.Reference;
+                if (!ClsSecurityPermission.GetExecutePermission(ProcessNo, ref EditFlg))
+                {
+                    BackProcess();
+                    return;
+                }
+                if (EditFlg == (int)CommonDefine.ProcessDataEdit.Reference) frm.EditLock = true;
+
                 // パラメータセット
                 frm.ConstructionCode = CurrentPara.IntExecParameter[0];
                 // コピーデータ作成フラグセット
@@ -670,6 +808,7 @@
             catch (Exception ex)
             {
                 logger.ErrorFormat("システムエラー：{0}：{1}", CommonMotions.GetMethodName(), ex.Message);
+                BackProcess();
             }
             finally
             {
@@ -694,6 +833,15 @@
                 ClsExcute.SubFormHandleList[ProcessNo].ProcessNo = ProcessNo;
                 ClsExcute.SubFormHandleList[ProcessNo].SubFormHandle = (Form)frm;
 
+                // 起動・編集フラグ
+                int EditFlg = (int)CommonDefine.ProcessDataEdit.Reference;
+                if (!ClsSecurityPermission.GetExecutePermission(ProcessNo, ref EditFlg))
+                {
+                    BackProcess();
+                    return;
+                }
+                if (EditFlg == (int)CommonDefine.ProcessDataEdit.Reference) frm.EditLock = true;
+
                 // パラメータセット
                 frm.ConstructionCode = CurrentPara.IntExecParameter[0];
 
